services:
  orlando_interface_ingestion.commands:
    class: Drupal\orlando_interface_ingestion\Commands\IngestItemsCommands
    arguments: ['@file_system', '@Drupal\typed_entity\RepositoryManager', '@event_dispatcher']
    tags:
      - { name: drush.command }
  orlando_interface_ingestion.delete_commands:
    class: Drupal\orlando_interface_ingestion\Commands\DeleteEntriesCommands
    arguments: ['@Drupal\typed_entity\RepositoryManager', '@event_dispatcher']
    tags:
      - { name: drush.command }
  orlando_interface_ingestion.basex_index_commands:
    class: Drupal\orlando_interface_ingestion\Commands\BasexIndexCommands
    arguments: ['@orlando_interface_search.connection']
    tags:
      - { name: drush.command }
